Support for VS2015

Oct 14, 2016 at 4:42 PM
I tried installing BIDS Helper version 1.7.0.0 with VS 2015 already installed and I don't see any components of BIDS Helper. Is it not supported yet?

Output of Help->About is here:

Microsoft Visual Studio 2015 Shell (Integrated)
Version 14.0.23107.0 D14REL
Microsoft .NET Framework
Version 4.6.01055

Installed Version: IDE Standard

Microsoft Visual Studio Tools for Applications 2015 00322-10000-00000-AA989
Microsoft Visual Studio Tools for Applications 2015

Visual Basic 2015 00322-10000-00000-AA989
Microsoft Visual Basic 2015

Visual C# 2015 00322-10000-00000-AA989
Microsoft Visual C# 2015

SQL Server Analysis Services 13.0.1700.281
Microsoft SQL Server Analysis Services Designer
Version 13.0.1700.281

SQL Server Data Tools 14.0.60923.0
Microsoft SQL Server Data Tools

SQL Server Integration Services
Microsoft SQL Server Integration Services Designer
Version 13.0.1601.5

SQL Server Reporting Services 13.0.1700.281
Microsoft SQL Server Reporting Services Designers
Version 13.0.1700.281
Coordinator
Oct 15, 2016 at 10:10 AM
VS 2015 only supports the SQL 2016 tools. There is no version of v1.7.0 for SQL 2016 as it was released before SQL 2016.

You would have to use the preview release for SQL 2016 to use BIDS Helper in VS 2015.
Coordinator
Jan 24 at 8:10 AM
Thanks for your patience. We've just published BIDS Helper for SQL 2016 and Visual Studio 2015 in the Visual Studio Gallery:
https://bidshelper.codeplex.com/wikipage?title=Installing%20from%20the%20Visual%20Studio%20Gallery

Please give that a try and let us know if you have issues.
Jan 25 at 10:09 PM
I installed this today. Our environment doesn't have internet access so I downloaded the VSIX file and copied it there. I installed it and then restarted VS2015 but none of the BIDSHelper tools were there. How can I get this working correctly?
Coordinator
Jan 26 at 12:14 PM
Can you go to Tools... Options... BIDS Helper... Version and copy the error? The please make sure you have the latest version of SSDT installed and that you choose to install all SSDT pieces (SSAS, SSRS, and SSIS). If that doesn't resolve it then post the error back here.
Jan 26 at 4:20 PM
I did have all the SSDT pieces installed, but I reinstalled SSDT and that seems to have fixed the issue. Thanks!